- generic [ref=e4]:
  - complementary [ref=e6]:
    - generic [ref=e7]:
      - generic [ref=e9] [cursor=pointer]:
        - img "logo" [ref=e10]
        - heading "@umijs/max" [level=1] [ref=e11]
      - menu [ref=e13]:
        - menuitem "home 首页" [ref=e14] [cursor=pointer]:
          - link "home 首页" [ref=e16]:
            - /url: /home
            - generic [ref=e17]:
              - img "home" [ref=e19]:
                - img [ref=e20]
              - generic [ref=e22]: 首页
        - menuitem "lock 权限演示" [ref=e23] [cursor=pointer]:
          - link "lock 权限演示" [ref=e25]:
            - /url: /access
            - generic [ref=e26]:
              - img "lock" [ref=e28]:
                - img [ref=e29]
              - generic [ref=e31]: 权限演示
        - menuitem "table CRUD 示例" [ref=e32] [cursor=pointer]:
          - link "table CRUD 示例" [ref=e34]:
            - /url: /table
            - generic [ref=e35]:
              - img "table" [ref=e37]:
                - img [ref=e38]
              - generic [ref=e40]: CRUD 示例
        - menuitem "user 用户管理" [ref=e41] [cursor=pointer]:
          - link "user 用户管理" [ref=e43]:
            - /url: /users
            - generic [ref=e44]:
              - img "user" [ref=e46]:
                - img [ref=e47]
              - generic [ref=e49]: 用户管理
        - menuitem "appstore 产品列表" [ref=e50] [cursor=pointer]:
          - link "appstore 产品列表" [ref=e52]:
            - /url: /products
            - generic [ref=e53]:
              - img "appstore" [ref=e55]:
                - img [ref=e56]
              - generic [ref=e58]: 产品列表
        - menuitem "tags 产品属性" [ref=e59] [cursor=pointer]:
          - link "tags 产品属性" [ref=e61]:
            - /url: /attributes
            - generic [ref=e62]:
              - img "tags" [ref=e64]:
                - img [ref=e65]
              - generic [ref=e67]: 产品属性
        - menuitem "bar-chart 排行榜" [ref=e68] [cursor=pointer]:
          - link "bar-chart 排行榜" [ref=e70]:
            - /url: /ranking
            - generic [ref=e71]:
              - img "bar-chart" [ref=e73]:
                - img [ref=e74]
              - generic [ref=e76]: 排行榜
        - menuitem "form 文章管理" [ref=e77] [cursor=pointer]:
          - link "form 文章管理" [ref=e79]:
            - /url: /articles
            - generic [ref=e80]:
              - img "form" [ref=e82]:
                - img [ref=e83]
              - generic [ref=e86]: 文章管理
        - menuitem "file-text 日志审计" [ref=e87] [cursor=pointer]:
          - generic [ref=e89]:
            - img "file-text" [ref=e91]:
              - img [ref=e92]
            - generic [ref=e94]: 日志审计
      - generic [ref=e96]:
        - generic [ref=e97] [cursor=pointer]:
          - img "avatar" [ref=e99]
          - generic [ref=e100]: "@umijs/max"
        - img [ref=e103] [cursor=pointer]
      - img [ref=e107] [cursor=pointer]
  - main [ref=e110]:
    - generic [ref=e111]:
      - generic "日志审计" [ref=e115]
      - generic [ref=e118]:
        - generic [ref=e123]:
          - generic [ref=e899]:
            - generic "操作人" [ref=e901]
            - textbox "操作人" [ref=e906]:
              - /placeholder: 请输入操作人姓名
          - generic [ref=e909]:
            - generic "操作类型" [ref=e911]
            - generic [ref=e915] [cursor=pointer]:
              - generic [ref=e917]:
                - combobox "操作类型" [ref=e919]
                - generic "创建" [ref=e1366]
              - generic:
                - img:
                  - img
              - img [ref=e1368]:
                - img [ref=e1369]
          - generic [ref=e156]:
            - generic [ref=e158]:
              - button "重 置" [ref=e159] [cursor=pointer]:
                - generic [ref=e160]: 重 置
              - button "查 询" [active] [ref=e161] [cursor=pointer]:
                - generic [ref=e162]: 查 询
            - generic [ref=e164] [cursor=pointer]:
              - text: 展开
              - img "down" [ref=e165]:
                - img [ref=e166]
        - generic [ref=e172]:
          - generic [ref=e176]:
            - img "reload" [ref=e179] [cursor=pointer]:
              - img [ref=e180]
            - img "column-height" [ref=e184] [cursor=pointer]:
              - img [ref=e185]
            - img "setting" [ref=e188] [cursor=pointer]:
              - img [ref=e189]
            - img "fullscreen" [ref=e193] [cursor=pointer]:
              - img [ref=e194]
          - generic [ref=e198]:
            - table [ref=e202]:
              - rowgroup [ref=e213]:
                - row "操作时间 操作人 操作类型 操作模块 操作描述 IP地址 执行时长 操作结果 操作" [ref=e214]:
                  - columnheader "操作时间" [ref=e215] [cursor=pointer]:
                    - generic [ref=e216]:
                      - generic [ref=e217]: 操作时间
                      - generic [ref=e219]:
                        - img [ref=e220]:
                          - img [ref=e221]
                        - img [ref=e223]:
                          - img [ref=e224]
                  - columnheader "操作人" [ref=e226]
                  - columnheader "操作类型" [ref=e227]
                  - columnheader "操作模块" [ref=e228]
                  - columnheader "操作描述" [ref=e229]
                  - columnheader "IP地址" [ref=e230]
                  - columnheader "执行时长" [ref=e231] [cursor=pointer]:
                    - generic [ref=e232]:
                      - generic [ref=e233]: 执行时长
                      - generic [ref=e235]:
                        - img [ref=e236]:
                          - img [ref=e237]
                        - img [ref=e239]:
                          - img [ref=e240]
                  - columnheader "操作结果" [ref=e242]
                  - columnheader "操作" [ref=e243]
              - rowgroup [ref=e244]:
                - generic:
                  - generic: 操作时间
                  - generic:
                    - generic:
                      - img:
                        - img
                      - img:
                        - img
                - generic:
                  - generic: 执行时长
                  - generic:
                    - generic:
                      - img:
                        - img
                      - img:
                        - img
                - row "2026-02-13 23:36:55 黄涛 创建 产品管理 新增商品信息 113.45.148 3544ms 成功 eye 查看详情" [ref=e1004]:
                  - cell "2026-02-13 23:36:55" [ref=e1005]
                  - cell "黄涛" [ref=e1006]
                  - cell "创建" [ref=e1007]:
                    - generic [ref=e1008]: 创建
                  - cell "产品管理" [ref=e1009]:
                    - generic [ref=e1010]: 产品管理
                  - cell "新增商品信息" [ref=e1011]:
                    - generic [ref=e1012]: 新增商品信息
                  - cell "113.45.148" [ref=e1013]
                  - cell "3544ms" [ref=e1014]
                  - cell "成功" [ref=e1015]:
                    - generic [ref=e1016]: 成功
                  - cell "eye 查看详情" [ref=e1017]:
                    - button "eye 查看详情" [ref=e1019] [cursor=pointer]:
                      - img "eye" [ref=e1021]:
                        - img [ref=e1022]
                      - generic [ref=e1024]: 查看详情
                - row "2026-02-12 03:17:12 赵敏 创建 用户管理 创建新用户账号 113.45.154 1007ms 成功 eye 查看详情" [ref=e1151]:
                  - cell "2026-02-12 03:17:12" [ref=e1152]
                  - cell "赵敏" [ref=e1153]
                  - cell "创建" [ref=e1154]:
                    - generic [ref=e1155]: 创建
                  - cell "用户管理" [ref=e1156]:
                    - generic [ref=e1157]: 用户管理
                  - cell "创建新用户账号" [ref=e1158]:
                    - generic [ref=e1159]: 创建新用户账号
                  - cell "113.45.154" [ref=e1160]
                  - cell "1007ms" [ref=e1161]
                  - cell "成功" [ref=e1162]:
                    - generic [ref=e1163]: 成功
                  - cell "eye 查看详情" [ref=e1164]:
                    - button "eye 查看详情" [ref=e1166] [cursor=pointer]:
                      - img "eye" [ref=e1168]:
                        - img [ref=e1169]
                      - generic [ref=e1171]: 查看详情
                - row "2026-02-10 12:53:26 李娜 创建 文章管理 创建新文章 223.5.5.94 1982ms 成功 eye 查看详情" [ref=e1371]:
                  - cell "2026-02-10 12:53:26" [ref=e1372]
                  - cell "李娜" [ref=e1373]
                  - cell "创建" [ref=e1374]:
                    - generic [ref=e1375]: 创建
                  - cell "文章管理" [ref=e1376]:
                    - generic [ref=e1377]: 文章管理
                  - cell "创建新文章" [ref=e1378]:
                    - generic [ref=e1379]: 创建新文章
                  - cell "223.5.5.94" [ref=e1380]
                  - cell "1982ms" [ref=e1381]
                  - cell "成功" [ref=e1382]:
                    - generic [ref=e1383]: 成功
                  - cell "eye 查看详情" [ref=e1384]:
                    - button "eye 查看详情" [ref=e1386] [cursor=pointer]:
                      - img "eye" [ref=e1388]:
                        - img [ref=e1389]
                      - generic [ref=e1391]: 查看详情
                - row "2026-02-06 12:00:30 孙鹏 创建 订单管理 创建订单 223.5.5.45 3203ms 成功 eye 查看详情" [ref=e1392]:
                  - cell "2026-02-06 12:00:30" [ref=e1393]
                  - cell "孙鹏" [ref=e1394]
                  - cell "创建" [ref=e1395]:
                    - generic [ref=e1396]: 创建
                  - cell "订单管理" [ref=e1397]:
                    - generic [ref=e1398]: 订单管理
                  - cell "创建订单" [ref=e1399]:
                    - generic [ref=e1400]: 创建订单
                  - cell "223.5.5.45" [ref=e1401]
                  - cell "3203ms" [ref=e1402]
                  - cell "成功" [ref=e1403]:
                    - generic [ref=e1404]: 成功
                  - cell "eye 查看详情" [ref=e1405]:
                    - button "eye 查看详情" [ref=e1407] [cursor=pointer]:
                      - img "eye" [ref=e1409]:
                        - img [ref=e1410]
                      - generic [ref=e1412]: 查看详情
                - row "2026-01-30 22:38:53 郭明 创建 文章管理 发布文章 172.16.0.7 1552ms 成功 eye 查看详情" [ref=e1413]:
                  - cell "2026-01-30 22:38:53" [ref=e1414]
                  - cell "郭明" [ref=e1415]
                  - cell "创建" [ref=e1416]:
                    - generic [ref=e1417]: 创建
                  - cell "文章管理" [ref=e1418]:
                    - generic [ref=e1419]: 文章管理
                  - cell "发布文章" [ref=e1420]:
                    - generic [ref=e1421]: 发布文章
                  - cell "172.16.0.7" [ref=e1422]
                  - cell "1552ms" [ref=e1423]
                  - cell "成功" [ref=e1424]:
                    - generic [ref=e1425]: 成功
                  - cell "eye 查看详情" [ref=e1426]:
                    - button "eye 查看详情" [ref=e1428] [cursor=pointer]:
                      - img "eye" [ref=e1430]:
                        - img [ref=e1431]
                      - generic [ref=e1433]: 查看详情
                - row "2026-01-30 18:48:02 admin 创建 产品管理 新增商品信息 113.45.55 3272ms 成功 eye 查看详情" [ref=e1434]:
                  - cell "2026-01-30 18:48:02" [ref=e1435]
                  - cell "admin" [ref=e1436]
                  - cell "创建" [ref=e1437]:
                    - generic [ref=e1438]: 创建
                  - cell "产品管理" [ref=e1439]:
                    - generic [ref=e1440]: 产品管理
                  - cell "新增商品信息" [ref=e1441]:
                    - generic [ref=e1442]: 新增商品信息
                  - cell "113.45.55" [ref=e1443]
                  - cell "3272ms" [ref=e1444]
                  - cell "成功" [ref=e1445]:
                    - generic [ref=e1446]: 成功
                  - cell "eye 查看详情" [ref=e1447]:
                    - button "eye 查看详情" [ref=e1449] [cursor=pointer]:
                      - img "eye" [ref=e1451]:
                        - img [ref=e1452]
                      - generic [ref=e1454]: 查看详情
                - row "2026-01-26 06:29:00 李娜 创建 其他 创建数据 10.0.0.46 235ms 成功 eye 查看详情" [ref=e1455]:
                  - cell "2026-01-26 06:29:00" [ref=e1456]
                  - cell "李娜" [ref=e1457]
                  - cell "创建" [ref=e1458]:
                    - generic [ref=e1459]: 创建
                  - cell "其他" [ref=e1460]:
                    - generic [ref=e1461]: 其他
                  - cell "创建数据" [ref=e1462]:
                    - generic [ref=e1463]: 创建数据
                  - cell "10.0.0.46" [ref=e1464]
                  - cell "235ms" [ref=e1465]
                  - cell "成功" [ref=e1466]:
                    - generic [ref=e1467]: 成功
                  - cell "eye 查看详情" [ref=e1468]:
                    - button "eye 查看详情" [ref=e1470] [cursor=pointer]:
                      - img "eye" [ref=e1472]:
                        - img [ref=e1473]
                      - generic [ref=e1475]: 查看详情
                - row "2026-01-24 13:33:44 赵敏 创建 用户管理 批量导入用户数据 10.0.0.225 3967ms 成功 eye 查看详情" [ref=e1476]:
                  - cell "2026-01-24 13:33:44" [ref=e1477]
                  - cell "赵敏" [ref=e1478]
                  - cell "创建" [ref=e1479]:
                    - generic [ref=e1480]: 创建
                  - cell "用户管理" [ref=e1481]:
                    - generic [ref=e1482]: 用户管理
                  - cell "批量导入用户数据" [ref=e1483]:
                    - generic [ref=e1484]: 批量导入用户数据
                  - cell "10.0.0.225" [ref=e1485]
                  - cell "3967ms" [ref=e1486]
                  - cell "成功" [ref=e1487]:
                    - generic [ref=e1488]: 成功
                  - cell "eye 查看详情" [ref=e1489]:
                    - button "eye 查看详情" [ref=e1491] [cursor=pointer]:
                      - img "eye" [ref=e1493]:
                        - img [ref=e1494]
                      - generic [ref=e1496]: 查看详情
                - row "2026-01-23 05:24:03 朱杰 创建 用户管理 创建新用户账号 192.168.0.53 2647ms 成功 eye 查看详情" [ref=e1497]:
                  - cell "2026-01-23 05:24:03" [ref=e1498]
                  - cell "朱杰" [ref=e1499]
                  - cell "创建" [ref=e1500]:
                    - generic [ref=e1501]: 创建
                  - cell "用户管理" [ref=e1502]:
                    - generic [ref=e1503]: 用户管理
                  - cell "创建新用户账号" [ref=e1504]:
                    - generic [ref=e1505]: 创建新用户账号
                  - cell "192.168.0.53" [ref=e1506]
                  - cell "2647ms" [ref=e1507]
                  - cell "成功" [ref=e1508]:
                    - generic [ref=e1509]: 成功
                  - cell "eye 查看详情" [ref=e1510]:
                    - button "eye 查看详情" [ref=e1512] [cursor=pointer]:
                      - img "eye" [ref=e1514]:
                        - img [ref=e1515]
                      - generic [ref=e1517]: 查看详情
                - row "2026-01-22 06:55:16 黄涛 创建 用户管理 批量导入用户数据 36.110.201 3791ms 成功 eye 查看详情" [ref=e1518]:
                  - cell "2026-01-22 06:55:16" [ref=e1519]
                  - cell "黄涛" [ref=e1520]
                  - cell "创建" [ref=e1521]:
                    - generic [ref=e1522]: 创建
                  - cell "用户管理" [ref=e1523]:
                    - generic [ref=e1524]: 用户管理
                  - cell "批量导入用户数据" [ref=e1525]:
                    - generic [ref=e1526]: 批量导入用户数据
                  - cell "36.110.201" [ref=e1527]
                  - cell "3791ms" [ref=e1528]
                  - cell "成功" [ref=e1529]:
                    - generic [ref=e1530]: 成功
                  - cell "eye 查看详情" [ref=e1531]:
                    - button "eye 查看详情" [ref=e1533] [cursor=pointer]:
                      - img "eye" [ref=e1535]:
                        - img [ref=e1536]
                      - generic [ref=e1538]: 查看详情
                - row "2026-01-22 01:52:09 梁雨 创建 其他 创建数据 172.16.0.49 4735ms 成功 eye 查看详情" [ref=e1539]:
                  - cell "2026-01-22 01:52:09" [ref=e1540]
                  - cell "梁雨" [ref=e1541]
                  - cell "创建" [ref=e1542]:
                    - generic [ref=e1543]: 创建
                  - cell "其他" [ref=e1544]:
                    - generic [ref=e1545]: 其他
                  - cell "创建数据" [ref=e1546]:
                    - generic [ref=e1547]: 创建数据
                  - cell "172.16.0.49" [ref=e1548]
                  - cell "4735ms" [ref=e1549]
                  - cell "成功" [ref=e1550]:
                    - generic [ref=e1551]: 成功
                  - cell "eye 查看详情" [ref=e1552]:
                    - button "eye 查看详情" [ref=e1554] [cursor=pointer]:
                      - img "eye" [ref=e1556]:
                        - img [ref=e1557]
                      - generic [ref=e1559]: 查看详情
                - row "2026-01-19 12:56:47 朱杰 创建 系统设置 添加系统参数 192.168.1.44 3859ms 成功 eye 查看详情" [ref=e1560]:
                  - cell "2026-01-19 12:56:47" [ref=e1561]
                  - cell "朱杰" [ref=e1562]
                  - cell "创建" [ref=e1563]:
                    - generic [ref=e1564]: 创建
                  - cell "系统设置" [ref=e1565]:
                    - generic [ref=e1566]: 系统设置
                  - cell "添加系统参数" [ref=e1567]:
                    - generic [ref=e1568]: 添加系统参数
                  - cell "192.168.1.44" [ref=e1569]
                  - cell "3859ms" [ref=e1570]
                  - cell "成功" [ref=e1571]:
                    - generic [ref=e1572]: 成功
                  - cell "eye 查看详情" [ref=e1573]:
                    - button "eye 查看详情" [ref=e1575] [cursor=pointer]:
                      - img "eye" [ref=e1577]:
                        - img [ref=e1578]
                      - generic [ref=e1580]: 查看详情
            - list [ref=e665]:
              - listitem [ref=e666]: 共 12 条记录
              - listitem "上一页" [ref=e667]:
                - button "left" [disabled] [ref=e668]:
                  - img "left" [ref=e669]:
                    - img [ref=e670]
              - listitem "1" [ref=e672] [cursor=pointer]:
                - generic [ref=e673]: "1"
              - listitem "下一页" [ref=e691]:
                - button "right" [disabled] [ref=e692]:
                  - img "right" [ref=e693]:
                    - img [ref=e694]
              - listitem [ref=e696]:
                - generic "页码" [ref=e697] [cursor=pointer]:
                  - generic [ref=e699]:
                    - combobox "页码" [ref=e701]
                    - generic "20 条/页" [ref=e702]
                  - generic:
                    - img:
                      - img